## org.eclipse.emf.exporter.ui.contribution.base
Class ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper

    java.lang.Object
      org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
          org.eclipse.emf.exporter.util.ExporterUIUtil.TreeEditorHelper
              org.eclipse.emf.exporter.ui.contribution.base.ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper

All Implemented Interfaces:
  Listener

Enclosing class:
  ModelExporterPackagePage

    public class ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper

extends ExporterUIUtil.TreeEditorHelper

Field Summary

Fields inherited from class org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
`composite, compositeEditor`

Constructor Summary
`ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper(Tree tree)`

Method Summary
`protected void` `comboSelected(Event event)`
`protected Control` `createEditorControl(Widget item)`
`void` `handleEvent(Event event)`
`protected void` `initializeCombo(CCombo combo, GenPackage genPackage)`

Methods inherited from class org.eclipse.emf.exporter.util.ExporterUIUtil.TreeEditorHelper
`createControlEditor, getColumn, setColumn, setEditor`

Methods inherited from class org.eclipse.emf.exporter.util.ExporterUIUtil.CompositeEditorHelper
`compositeDisposed, compositeSelected, disposeOldEditorControl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper

    public ModelExporterPackagePage.ReferencedGenPackageTreeEditorHelper(Tree tree)

Method Detail

### handleEvent

    public void handleEvent(Event event)

  Specified by:
    `handleEvent` in interface `Listener`
  Overrides:
    `handleEvent` in class `ExporterUIUtil.CompositeEditorHelper`

### comboSelected

    protected void comboSelected(Event event)

### createEditorControl

    protected Control createEditorControl(Widget item)

  Specified by:
    `createEditorControl` in class `ExporterUIUtil.CompositeEditorHelper`

### initializeCombo

    protected void initializeCombo(CCombo combo,
                                   GenPackage genPackage)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.